import java.util.EventListener;

/**
 * Interface with events that can be triggered by a generator.
 */
public interface GeneratorListener extends EventListener {

    /**
     * Reports a combinatorial object.
     * 
     * @param object  the combinatorial object
     */
    void objectGenerated(String object);

}
